com.holonplatform.datastore.jpa.examples

## Class ExampleJpaDatastoreFunction.Trim

- java.lang.Object
- - com.holonplatform.datastore.jpa.examples.ExampleJpaDatastoreFunction.Trim

- All Implemented Interfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.query.QueryExpression<String>, com.holonplatform.core.query.QueryFunction<String,String>, com.holonplatform.core.query.QueryProjection<String>, com.holonplatform.core.TypedExpression<String>
  Enclosing class:
    ExampleJpaDatastoreFunction

      public class ExampleJpaDatastoreFunction.Trim
      extends Object
      implements com.holonplatform.core.query.QueryFunction<String,String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `com.holonplatform.core.query.QueryFunction.Avg, com.holonplatform.core.query.QueryFunction.Count, com.holonplatform.core.query.QueryFunction.Max<T>, com.holonplatform.core.query.QueryFunction.Min<T>, com.holonplatform.core.query.QueryFunction.NoArgQueryFunction<T>, com.holonplatform.core.query.QueryFunction.PropertyQueryFunction<T,A>, com.holonplatform.core.query.QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trim(com.holonplatform.core.TypedExpression<String> expression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<com.holonplatform.core.TypedExpression<? extends String>>` | `getExpressionArguments()`
    `Class<? extends String>` | `getType()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, isCollectionExpression, isConverterExpression`

- - ### Constructor Detail

    - #### Trim

          public Trim(com.holonplatform.core.TypedExpression<String> expression)

  - ### Method Detail

    - #### getType

          public Class<? extends String> getType()

      Specified by:
        `getType` in interface `com.holonplatform.core.TypedExpression<String>`

    - #### validate

          public void validate()
                        throws com.holonplatform.core.Expression.InvalidExpressionException

      Specified by:
        `validate` in interface `com.holonplatform.core.Expression`
      Throws:
        `com.holonplatform.core.Expression.InvalidExpressionException`

    - #### getExpressionArguments

          public List<com.holonplatform.core.TypedExpression<? extends String>> getExpressionArguments()

      Specified by:
        `getExpressionArguments` in interface `com.holonplatform.core.query.QueryFunction<String,String>`

Copyright © 2019 The Holon Platform. All rights reserved.